Page MenuHomePhabricator

Uploading a previously deleted file can reveal a suppressed file name
Closed, ResolvedPublic

Description

If someone uploads a file, the file is deleted/suppressed, and the file is later uploaded again, the second uploader will see the title the original file was uploaded under, *even if the title was suppressed*. If the title was suppressed, re-uploading the same file should not show the suppressed information.

This is pretty low priority (doesn't seem anyone is abusing it) but should probably be fixed at some point.

Discussed this with James and Brad, who I'll cc shortly - they should clarify/correct if I've gotten something wrong.


Version: unspecified
Severity: trivial

Details

Reference
bz59167

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:39 AM
bzimport set Reference to bz59167.
bzimport added a subscriber: Unknown Object (MLST).

Change 105215 had a related patch set uploaded by Anomie:
Do not reveal RevDeled file title

https://gerrit.wikimedia.org/r/105215

Change 105215 merged by jenkins-bot:
Do not reveal RevDeled file title

https://gerrit.wikimedia.org/r/105215

Anomie added a comment.Jan 4 2014, 3:20 PM

Change merged. It should be deployed to WMF wikis with 1.23wmf10, see https://www.mediawiki.org/wiki/MediaWiki_1.23/Roadmap for the schedule.

Gilles moved this task from Untriaged to Done on the Multimedia board.
Restricted Application added a project: Commons. · View Herald TranscriptAug 5 2016, 2:25 PM
Restricted Application added subscribers: JEumerus, Matanya. · View Herald Transcript